%global packname littler

%global __suggests_exclude ^R\\(.*\\)

Name:		R-%{packname}
Version:	0.3.19
Release:    1%{?dist}
Summary:	littler: R at the Command-Line via 'r'

License:	GPL-2.0-or-later
URL:		https://cran.r-project.org/package=%{packname}
Source0:	%{url}&version=%{version}#/%{packname}_%{version}.tar.gz

BuildRequires:	R-core-devel
BuildRequires:	tex(latex)
BuildRequires:	tex(inconsolata.sty)
BuildRequires:	R-knitr

BuildRequires:	R-rpm-macros

%description
A scripting and command-line front-end is provided by 'r' (aka 'littler')
as a lightweight binary wrapper around the GNU R language and environment
for statistical computing and graphics. While R can be used in batch
mode, the r binary adds full support for both 'shebang'-style scripting
(i.e. using a hash-mark-exclamation-path expression as the first line in
scripts) as well as command-line use in standard Unix pipelines. In other
words, r provides the R language without the environment.

%package examples
Summary:	R-littler Examples
Requires:	%{name} = %{version}-%{release}

%description examples
Examples for using R-littler.

%prep
%setup -q -c

%build

%install
mkdir -p %{buildroot}%{_libdir}/R/library
%{_bindir}/R CMD INSTALL -l %{buildroot}%{_libdir}/R/library %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm %{packname}/inst/bin/r %{packname}/src/r
rm %{packname}/src/Makevars
rm -rf %{buildroot}%{_libdir}/R/library/R.css
rm -rf %{buildroot}%{_libdir}/R/library/%{packname}/script-tests

mkdir -p %{buildroot}%{_bindir}
mv %{buildroot}%{_libdir}/R/library/%{packname}/bin/r \
   %{buildroot}%{_bindir}
rmdir %{buildroot}%{_libdir}/R/library/%{packname}/bin
mkdir -p %{buildroot}%{_mandir}/man1
mv %{buildroot}%{_libdir}/R/library/%{packname}/man-page/r.1 \
   %{buildroot}%{_mandir}/man1
rmdir %{buildroot}%{_libdir}/R/library/%{packname}/man-page

for f in %{buildroot}%{_libdir}/R/library/%{packname}/examples/* ; do
    grep -q '/usr/bin/env r' $f && sed 's!/usr/bin/env r!/usr/bin/r!' -i $f
done

%check
_R_CHECK_FORCE_SUGGESTS_=0 %{_bindir}/R CMD check %{packname}

%files
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/NEWS.Rd
%doc %{_libdir}/R/library/%{packname}/doc
%doc %{_libdir}/R/library/%{packname}/html
%{_libdir}/R/library/%{packname}/DESCRIPTION
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/NAMESPACE
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/help
%{_bindir}/r
%{_mandir}/man1/r.1*

%files examples
%{_libdir}/R/library/%{packname}/examples

%changelog
* Fri Jun 28 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.3.19-1
- initial build
